<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

function checkPay( form )
{
	var sum = parseFloat( form.sum.value.replace(",",".") );
	if ( isNaN( sum ) )
	{
		alert( 'Введена некоректная сумма' );
		return false;		
	}
	else if ( sum < ${dataMap['sumMin']} || sum > ${dataMap['sumMax']} )
	{
		alert( "Введите сумму от ${dataMap['sumMin']} до ${dataMap['sumMax']}" );
		return false;		
	}
	return confirm('Вы подтверждаете платеж на сумму - ' + form.sum.value + ' ${currencyTitleMedium}?');
}

function doPay( form )
{
	jQuery.get( webexecuter, { action: '${action}', operation: 'pay', module: '${module}', mid: ${mid}, contractId: contractId, ct: 'json', sum: form.sum.value.replace(',','.'), customerAddress: getFormValue( form, 'customerAddress' ) }, 
		function( data )
		{
			var form = jQuery( "#chronopayGateForm" )[0];
			form.product_id.value = data.product_id;
			form.product_price.value = data.product_price;
			form.product_name.value = data.product_name;
			form.merchant_no.value = data.merchant_no;
			form.cs1.value = data.cs1;
			form.order_id.value = data.order_id;
			form.merchant_uid.value = data.merchant_uid;
			form.product_name.value = data.product_name;
			form.country.value = data.country;
			form.cb_url.value = data.cb_url;
			form.success_url.value = data.success_url;
			form.decline_url.value = data.decline_url;
			form.sign.value = data.sign;
			if ( 'email' in data )
			{
				addInputHidden( form, "email", data.email );
			}
			if ( 'phone' in data )
			{
				addInputHidden( form, "phone", data.phone );
			}
			form.submit();
		}
	);
	return false;
}
</script>

<fmt:setLocale value="RU"/>

<%@include file="../include/error.jsp" %>

<table class="tableFont tableWidth">
  <tr>
    <td style="padding: 0px;">
		<c:set var="paymentName" value="chronopay" scope="request" />
		<c:set var="paymentPayText" scope="request">Платежный сервис ChronoPay</c:set>
		<jsp:include page="../include/payment_tabs.jsp"/>
		<jsp:include page="../include/payment_pay.jsp"/>
		<jsp:include page="../include/payment_auto.jsp"/>
	</td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>

<form action="${dataMap['gateUrl']}" method="GET" id="chronopayGateForm">
	<input type="hidden" name="product_id"/>
	<input type="hidden" name="product_price"/>
	<input type="hidden" name="product_name"/>
	<input type="hidden" name="cs1"/>
	<input type="hidden" name="order_id"/>
	<input type="hidden" name="merchant_no"/>
	<input type="hidden" name="merchant_uid"/>
	<input type="hidden" name="country"/>
	<input type="hidden" name="cb_url"/>
	<input type="hidden" name="success_url"/>
	<input type="hidden" name="decline_url"/>
	<input type="hidden" name="sign"/>
</form>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="chronopayListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="chronopayListForm" month="${dataMap['period'].monthFrom}" year="${dataMap['period'].yearFrom}"></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="chronopayListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	  <tr>
	  	<td><div style="display: none;">Статус: <select onchange="jQuery('#chronopayListForm')[0].status.value=this.value;jQuery('#chronopayListForm')[0].submit();">
	  	<c:forEach var="item" items="${dataMap['statusList']}">
	  	<c:set var="selected"><c:if test="${item.code eq dataMap['status']}">selected="1"</c:if> </c:set>
	  	<option value="${item.code}" ${selected}>${item.title}</option>
	  	</c:forEach>
	  	</select></div></td>
	  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">показать допол. фильтры</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['transactions']}">
			<c:forEach var="item" items="${dataMap['transactions']}">
				<tr>
					<td>${item.id}</td>
					<c:choose>
						<c:when test="${not empty item.transactionDate}"><td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:when>
						<c:otherwise><td><fmt:formatDate value="${item.createDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:otherwise>
					</c:choose>
					<td><c:forEach var="statusItem" items="${dataMap['statusList']}"><c:if test="${item.status eq statusItem.code}">${statusItem.title}</c:if></c:forEach></td>
					<td><fmt:formatNumber value="${item.sum}" minFractionDigits="2" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="5" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>
